commit db2ad3e19068cbafde72ecde75d0638bbb3598ba
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 16 14:45:17 2012 -0500

    removed downsample.c

commit 6c55c576903992c6fef148fe3b606fbc8bd10655
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 16 14:45:06 2012 -0500

    print to output

commit db1044a34e6049c87eaa63c39ed6e56f03e7d4c1
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 16 14:39:34 2012 -0500

    removed sample
    
    Downsampling already exists in "view". View also keeps pairing while "sample" does not.

commit ffdeed3e5d4a530bfdf6f9ba97fff0ba7add6cba
Merge: 2daad7b accf026
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 16 14:22:15 2012 -0500

    Merge branch 'master' of github.com:lh3/samtools

commit accf0260fd1117e10047344345d40b31a9ec31bb
Merge: 9134e0d c554160
Author: Heng Li <lh3@me.com>
Date:   Thu Feb 16 11:21:14 2012 -0800

    Merge pull request #8 from nh13/master
    
    Patches

commit c554160df16ec7748cfdda4c7b54c641be7b809f
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 14:06:52 2012 -0500

    * more README.md work

commit 2a81ffe349208d917666808fbc9f3041e0cb57de
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 14:06:10 2012 -0500

    * more README work

commit fb3125f732715f62cded8685a23a002a96ce009b
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 14:05:19 2012 -0500

    * more README work

commit 444d41002c37e1c3d0f9208b4a88126c47276386
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 14:02:13 2012 -0500

    * updating README

commit dec53cb1043fe7efadfde75fa2fd39b76de22e54
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 13:55:01 2012 -0500

    updating the README for markdown syntax

commit 798da18c346dca8ec6005582a0ddb1d5420b04ca
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 13:48:35 2012 -0500

    adding a README with the current differences between this repository and
    the official one

commit 4d22d86c0f28636662f2144a88cd168e104c4275
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 13:35:03 2012 -0500

    adding "samtools sample" to the main

commit 893c25a37c21005dc42f45d45e9ad78ddc5f29bb
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 13:33:51 2012 -0500

    * removing some compile flags to work with OS X

commit 7ac22f72fdc32edd5c24af6baebfa7db5faf8e7b
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:47:14 2012 -0500

    Check write filehandle after opening for write. tamw/tamr is a union type, so change is only semantic.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit fef53330416631690f60fdff42b6e43d764170dc
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:44:59 2012 -0500

    Catch and report invalid BAM header, instead of segfaulting later on.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit 5cc013fe4930bf9b6e7963aab1cd4a3c94f695bc
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:44:16 2012 -0500

    Add downsample to examples.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit b3fa9e7071532905a81dc7aa48eadc24b8c8846b
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:43:48 2012 -0500

    Adjust for leading hard clip on colorspace reads.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit 1a9296c1389469d1c1db5b8069f0e11ffcc8abb2
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:42:52 2012 -0500

    Add samtools sample command, contributed by Davide Cittaro <davide.cittaro@ifom-ieo-campus.it>.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit 2a804f3379748aeba944f1dec306dd726ff3235e
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:42:07 2012 -0500

    Add samtools qa command, contributed by Roman Valls Guimera <roman.valls.guimera@scilifelab.se>.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit 0f3207fe8fd93e44d40fcf57204079c8c06d24a6
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:39:08 2012 -0500

    Makefile cleanup - allow CC, CFLAGS, LDFLAGS to be passed on make command line. Use LDFLAGS in samtools compile.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit 6e7df604025f6a86881bf7f4a16f30e15d31538a
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:31:15 2012 -0500

    Allow max_mem for sort to be specified with units.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit f12ebcaf6e60d34180a27d70e09b743cef140b98
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:29:11 2012 -0500

    Allow user defined [lowercase] tags in header elements.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit 50b931fa3312dc109537a4260698ddecd0f06a05
Author: Jonathan Manning <jonathan.manning@lifetech.com>
Date:   Thu Feb 16 10:27:11 2012 -0500

    Check lowerbound in text entry box to avoid segfault in tview. Remove redundant call to bam_aux_get.
    
    Signed-off-by: Nils Homer <nils.homer@lifetech.com>

commit 5e729da5190949a813d20d329eab7ddb661816bd
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 10:31:48 2012 -0500

    * fixing overflow/underflow in integer parsing

commit fa50a4330b9abedaf07c26e13d31f05e57f1d319
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 10:30:40 2012 -0500

    * updating help message for samtools depth

commit 79e52c9624b6dd3bdfdf439f4b4bc6f774c230a4
Author: Nils Homer <nils.homer@lifetech.com>
Date:   Thu Feb 16 10:29:32 2012 -0500

    * adding support for outputting a circos histogram file in "samtools depth".  Use
    the "-c/-B" options.

commit 2daad7b52daa86561c0fb65fe366691fad9f5ed3
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 16 09:31:57 2012 -0500

    bugfix: wrong SP; missing DV in the VCF hdr

commit 9134e0d5047c281ef3bd53da91771d4814a5131c
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 8 11:19:12 2012 -0500

    missing support of DV

commit 34ebf12078c1d1015a0b8b9a9221243a60b22893
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 8 11:08:56 2012 -0500

    new BCF DV format: number of variant reads

commit 9589d3312fa2d076f48bdd68e2a5edd419c8070c
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Jan 10 10:30:27 2012 -0500

    scale depth to quality (hidden option)

commit 704473e14668333ecaca5fb7b238af405c43e3b1
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Jan 10 10:18:17 2012 -0500

    really nothing

commit 01b307fd287962372bbf07461c88b54f41636817
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Dec 7 13:07:42 2011 -0500

    added an example containing 'B'

commit c678791f0451ceb9205c1ab5c52c84641863c99a
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Dec 3 12:10:30 2011 -0500

    'B' now moves backward w.r.t. the query

commit 152119bc06a073933ca830e8e1407538e44626cc
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Dec 2 10:50:12 2011 -0500

    better consensus; a little more robust

commit 454da4754ac503edda5b1329b67757d797e46e07
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Dec 2 00:20:22 2011 -0500

    in pileup call remove_B()

commit ff2bcac1cc078ba1879f18c89cfae314439d7086
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Dec 2 00:17:32 2011 -0500

    working on a few toy examples

commit 745ca7260158d6df7897b52598033ffb055a9e4f
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Dec 1 22:55:39 2011 -0500

    bam_remove_B(); not tested

commit 07e4cdc7300abfcc82e03105b4689f95cab551cd
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Nov 10 12:58:55 2011 -0500

    baseQ threshold on plain pipleup; removed -E

commit 322ebf2082dfa91df44b3a996d26c85357e5d5a2
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Oct 19 09:28:04 2011 -0400

    fixed two gcc warnings

commit a632457b4c4adc50d833b56b5a5231feafaf8193
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Oct 4 10:13:23 2011 -0400

    change size_t to uint32_t in bam_header_t
    
    This may cause issues on 64-bit big-endian machines. Reported and fixed by Paolo Emilio Mazzon.

commit af31bf5a78aea03baf6eb90fe50076549d499f6e
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Sep 26 20:17:57 2011 -0400

    rename pad2unpad to depad

commit 77b198b73dfad1048e5d1c5a64aa75ee7b90f596
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Sep 23 01:22:40 2011 -0400

    convert padded BAM to unpadded BAM

commit adb9e2342b7b7501d9527d3c23afab10469ae2c6
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Sep 7 11:40:50 2011 -0400

    generate template cigar with "fixmate"

commit 46e5ab445a0fe880216cbc0daf1225725b569d7a
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Sep 2 12:50:18 2011 -0400

    update kseq.h to the latest version

commit 68e9e4a73eb91405bb3e56bf0cdaf12d1b487abb
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Sep 2 12:44:45 2011 -0400

    Release samtools-0.1.18

commit aa06bdadb2d109a79f927f478102f96a1f5fd258
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Sep 2 12:14:17 2011 -0400

    updated the revision number

commit 267e1e1b6e54c0ab24f94cd9aee9cbd2d1923f9f
Merge: 19ff1d3 aebab30
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Sep 2 12:13:08 2011 -0400

    Merge https://github.com/lh3/samtools into reduce
    
    Conflicts:
    	bam_md.c
    
    Fixed a few typos in the merge

commit aebab302399c24eaa6c5ab79d13d6bd5e2e9ea9a
Merge: c2c63d0 da62663
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Sep 2 09:03:49 2011 -0700

    Merge pull request #4 from peterjc/x_equals2
    
    Implement basic support for =/X CIGAR operations

commit 19ff1d3d7f47d7e61b121292aefe5a74bb8a18d2
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Aug 25 16:38:12 2011 -0400

    reduce BAM size (experimental)

commit da626630fd98fd4e07ceb4d58c5c9a42d312a85d
Author: peterjc <p.j.a.cock@googlemail.com>
Date:   Mon Aug 22 06:58:08 2011 +0100

    Support =/X CIGAR operations (treated like M)

commit 461d8003529db77a4d5ecbd108312e868b051a3d
Author: peterjc <p.j.a.cock@googlemail.com>
Date:   Mon Aug 22 05:52:56 2011 +0100

    Define CIGAR equals and X operationss (7 and 8)

commit c2c63d067113baab41f3bc35fb28f4f00578accb
Merge: 7ab3ef3 9a0ed9a
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Aug 18 17:21:54 2011 -0700

    Merge pull request #3 from peterjc/x_equals
    
    Accept SAM files using = in CIGAR (treats X and = as M)

commit 9a0ed9a6b85c7981465f459300208dbd93e3c6f5
Author: peterjc <p.j.a.cock@googlemail.com>
Date:   Thu Aug 18 19:28:52 2011 +0100

    Accept SAM files using = in CIGAR (treats X and = as M)

commit 7ab3ef388c1eb34d7912fd70cc5656c955240263
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Aug 8 10:22:22 2011 -0400

    bugfix: indexing takes huge memory
    
    This happens when an unmapped mate has coordinate 1. Thank Joel Martin for the fix.

commit a3f6738593e944354a8f75306687d8b3acf08bf1
Merge: a8bdca9 bc67ea2
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Aug 8 09:52:26 2011 -0400

    Merge branch 'master' of github.com:lh3/samtools

commit bc67ea225da653f36a70b38382d6111dd494f659
Author: Petr Danecek <pd3@sanger.ac.uk>
Date:   Thu Jul 28 20:03:16 2011 +0100

    Variant Distance Bias

commit deb578f0c49d0b7d8c3bc6be220b4d67e2e7dfdf
Author: Petr Danecek <pd3@sanger.ac.uk>
Date:   Tue Jul 26 09:57:37 2011 +0100

    If there is only one RG tag present in the header and reads are not annotated, don't refuse to work but use the tag instead.

commit a8bdca9cf482a637b89ee4f98469a93e0ab5e69b
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Jul 25 10:10:55 2011 -0400

    bugfix: LRT2=nan

commit 0afe33137d046a3e849eeb4a54590f27cbad4228
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jul 22 21:55:38 2011 -0400

    fixed a bug/typo

commit 62d5849658c10222d40308c6b53ab4f99a448494
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jul 15 16:04:19 2011 -0400

    allow to set see in subsampling

commit 5f46243824cc9435b167973e1d51e13128794ea1
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jul 15 15:54:47 2011 -0400

    support subsampling

commit 5e55b6f34fc86cba7cf98d52ccaed405c3ffabbc
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jul 15 15:53:38 2011 -0400

    support indels

commit f31c162926d6f43e8b60171789a258d02e1f9be5
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jul 7 17:02:33 2011 -0400

    do not count indel with "view -Y"

commit e412dae587883b4c17e5fbf4b7c33f38bfa8458a
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jul 7 00:35:25 2011 -0400

    for WIN32 compatibility

commit 70a52501bcfa63824749893a5ab8ed3c38e34958
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jul 7 00:32:46 2011 -0400

    for WIN32 compatibility

commit 00438f14ed5984f08e8f7645a9b95644a812f969
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jul 6 23:41:45 2011 -0400

    fixed an uninitialized variable

commit 7609c4a01059c326544b3d0142dfe9c4229d68c6
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jul 6 23:39:31 2011 -0400

    fixed an uninitialized variable

commit cec7189a412f80ccb068a73bd28528915c16b0bf
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jul 6 22:53:19 2011 -0400

    Release samtools-0.1.17

commit 93c06a249de3bb666029bf07b66de5e8e5e314fa
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jul 6 09:46:09 2011 -0400

    bugfix: incorrect idxstats for the last seq
    
    Again, this bug is caused by 3rd-party code for the sorting order checking.

commit 84f6ca62db6e27b8c4c711e7b5f3ca704bf27b4f
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Jul 5 23:30:23 2011 -0400

    output mapping quality in the old pileup format

commit 362e05fd670886acaede69b864903d730b9db3ca
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Jul 5 21:59:22 2011 -0400

    added a brief description of the VCF format

commit e690a696468205e0cc4560016361c997660dd496
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Jul 5 16:23:10 2011 -0400

    improved samtools manual page

commit 362b4a1408ef3c32311d638aa8d85ce39c1c7b2d
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Jul 5 15:58:29 2011 -0400

    merge bcftools.1 to samtools.1

commit 643e0e61ba7266efbc9e5bfcb8e41f369ba2ce0a
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Jul 5 13:39:02 2011 -0400

    mpileup: when region set, set reference properly

commit 613e4d67624a94f62563935fbd5cc294df69605a
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Jul 4 23:29:02 2011 -0400

    compute the min PL diff

commit 5b7d5d3f52b97ca42c8500eede808dab88a46a53
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Jul 4 22:57:48 2011 -0400

    rename trio.c to mut.c

commit 84fe96ad64b0365ead93a4115d1684b9bebb98fc
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Jul 3 15:38:51 2011 -0400

    added pair caller interface; not tested

commit 2f2867b87b84c35319cc416d6173819d5c8a4e8c
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Jul 3 15:24:23 2011 -0400

    inital implementation of a pair caller

commit e97653cf2ad653c95886933c42a2b5492ccab5ff
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Jul 3 00:06:28 2011 -0400

    convert bam to single-end fastq

commit e8013e11f7a8db0a8d18c60d130169cca39bf2bd
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Jul 2 14:39:18 2011 -0400

    improve BED parsing

commit 1025714325fdc636aeee47a76db8dafbbbfde64b
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jul 1 14:19:54 2011 -0400

    update the manual page

commit 8022d0039dff47b1c11b2421357d510c1f28ae15
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jul 1 14:17:03 2011 -0400

    output the best constrained genotypes in trio

commit 18c87295e12f5bebafdcae00d52000fb94c8a566
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jul 1 11:18:14 2011 -0400

    added documentations for view -T

commit daf7a8d96bd495296bf7c7d99cddb808a3ced7d5
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jun 30 22:45:20 2011 -0400

    fixed a bug in writing SP

commit e5c32bf9b28c6e3e861db88de56b5dbe11058b61
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jun 30 22:35:25 2011 -0400

    optionally output read positions in mpileup

commit 1008051155ec994c1901e18f3eb03ea32a62e5d7
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jun 30 22:17:25 2011 -0400

    make faidx works with <2GB lines

commit 2daebb63762425dd3074ddf71582ad189001e394
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jun 30 17:28:58 2011 -0400

    fixed an issue in the trio caller and the indel caller

commit 9fdd52cf0716fb342a94946433d564b28b230835
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jun 30 13:34:01 2011 -0400

    Added trio caller; NOT tested yet

commit ea22a8ed83625e9c82382b56acc42a2d9cfd17e5
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jun 30 11:42:29 2011 -0400

    convert PL to 10-likelihood GL

commit 10d7065267b0d12c2bfcb6c70204fb6944cd395d
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jun 30 10:49:05 2011 -0400

    fix a compatibility issue with the new bcftools

commit d340f01f609c61b719d38a6a55629a3fc899e1cd
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Jun 26 23:41:20 2011 -0400

    allow to ignore RG

commit d6321faf98ebfe899b9409fb23c90a4aa8c6b542
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Jun 5 23:05:21 2011 -0400

    fixed a bug in SO checking due to a recent change

commit bc995abf666d0c9ab4258f6c1b3518a45a89209f
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jun 3 14:45:36 2011 -0400

    update the version number

commit 9e7cd83a08383858d008e0ccb2238a2b93831d6c
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Jun 3 14:43:12 2011 -0400

    smarter way to parse a region string

commit e58a90a0fde54053dac65352b34c13c3fea815fc
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jun 1 14:36:22 2011 -0400

    output LRT2 instead of LRT1

commit 08f78c9af3e5661f04f80bef424232de721dba03
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jun 1 14:02:28 2011 -0400

    genotype test, but assuming 1-degree

commit 587b852340d7e60f6f7cf474a92ef77aeab46018
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jun 1 12:55:19 2011 -0400

    perform 2-degree test by default

commit 3d38e403c5c830478b7eb157a484776997440501
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jun 1 12:44:34 2011 -0400

    fixed a typo; but the result is still not good

commit 06291624f7dcc57445676f3be25d0bc355dd7110
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jun 1 12:24:18 2011 -0400

    fixed a typo

commit 63b98aa33636b0d82a435bf49153c8c1502e7d42
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jun 1 12:23:37 2011 -0400

    added HWE+F<0 filter

commit 37d926e8999999b593d0637ab7dc379dbd3d6006
Author: Heng Li <lh3@live.co.uk>
Date:   Wed May 4 10:11:59 2011 -0400

    improved sorting order checking in index
    
    Patches from Jonathan Manning

commit 1c2dc6762c5f7cd946046b53346513f2f9761dbf
Author: Heng Li <lh3@live.co.uk>
Date:   Tue May 3 23:09:05 2011 -0400

    added r^2 estimate; added Brent's method

commit c2d3bcd8f98e31668b5f1321222fbc6fd6336e75
Author: Heng Li <lh3@live.co.uk>
Date:   Sun May 1 23:45:23 2011 -0400

    combine several utilites into vcfutils.lua

commit be2e7362d7593ea4d03fb33cdb6af2aa096ca6c4
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 27 21:09:22 2011 -0400

    minor warning

commit 683ef0443860813d743cf84fa86dda9bfaf5445a
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 27 10:10:38 2011 -0400

    added versioning

commit ed72f25ec85671f7646dbc92fa7b5b1dda427f7d
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 27 10:04:02 2011 -0400

    Output ML allele count

commit 2a9e36d2d6c405b2411ca47458f028ada8fe1000
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Apr 26 16:14:20 2011 -0400

    use ar -s

commit 7a4f54e6dbcd7c94acbb3f1050a93f94b8a07949
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Apr 23 01:22:31 2011 -0400

    added another type of LRT

commit b9c5e84762a4aacce3a3771b51ea80967c79a2e5
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 22 16:00:31 2011 -0400

    added version

commit 8fad6677c5952efd67391581d64e67e02e7f6e68
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 22 00:30:19 2011 -0400

    remove the pileup command

commit 3a962fb6ebf779de70f9e6effb2d8701a9aa3dd9
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 21 23:10:45 2011 -0400

    Release 0.1.16 (r963:234)

commit b4d683cffbd98c43f05aff8610b37d63dd7e54aa
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 21 12:44:44 2011 -0400

    fixed a bug when coordinate-less reads are on the reverse strand

commit c5ec45a128f409debc6a56a798024f53004037dc
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 20 11:36:52 2011 -0400

    added option '-f' to merge to avoid overwritting

commit 68d431531370d24907c01a27f166f2341d7c4d35
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 20 10:26:58 2011 -0400

    do not print a warning

commit 32922607e51ad2260c337eb022b9e4aedacb049f
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 20 10:21:06 2011 -0400

    Added ldpair to compute LD between requested pairs

commit b8d6fa71b91678fa02338257e0707d1e5ca098dd
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Apr 17 21:51:43 2011 -0400

    On a toy sample, type "B" seems to be accepted

commit 0e7ee9a6bb4029184202aa6e6738105ba0c0510b
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Apr 17 21:21:20 2011 -0400

    added type "B"; not tested yet

commit a513dfad0ac0062b03871eb6ecf26cb8d18dc895
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Apr 17 19:25:54 2011 -0400

    fixed a bug in bedidx.c: input BED not sorted

commit de1e192bb0a8a762a54a6eee81d882fab01c3d32
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Apr 17 18:51:08 2011 -0400

    by default, always perform posterior chi^2

commit df6e0d1099895fc6cd7a19dc89fba95ed6654d35
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Apr 16 12:33:28 2011 -0400

    added debugging

commit 8ce52e024dc2ef361dbd5399c232163055057e70
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Apr 16 00:59:05 2011 -0400

    avoid a segfault given wrong input

commit e66b6684fc9a397f91ec29fdeecae9f8eb986a55
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 15 19:55:39 2011 -0400

    do not segfault when there is no PL

commit 9ce3c584ec0cebfa45576f2ef538df4dad2b7e55
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 15 11:59:55 2011 -0400

    remove another unused part

commit f53a051d68bf312ac8d5865210fae7a9808c0fb9
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 15 10:41:25 2011 -0400

    print G3 if HWE is small

commit 4b2c08bb86ca4ed4959e4cb77a28f7d6fc19f5c9
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 15 10:04:34 2011 -0400

    fixed a bug
    
    actually not fix, but hide it

commit 088e13c32453fb533b7bb1c65a573f9b90a23625
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 15 09:48:47 2011 -0400

    added LRT based permutation; not used though

commit 1e3c2001afcb80b5eaa4c3f88df9da7b01b62524
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 15 09:28:55 2011 -0400

    Perform posterior contrast for small LRT
    
    Posterior contrast is much slower than LRT. Nonetheless, posterior P-value is
    more robust to sequencing artifacts. Thus we may combine the two to achieve a
    balance between speed and low FPR.

commit 6f1b066270902198a7175ff6c1b05ebc8d1919be
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 15 01:36:06 2011 -0400

    Added Brent's method

commit 3d061e5db25b67b25f6ff87afe4162e121354232
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 14 23:30:10 2011 -0400

    fixed a typo in printing

commit 7fd14ceb5990bb350b8e97346ef3537d80058def
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 14 23:14:23 2011 -0400

    fixed a stupid bug

commit f5b2c3459ec098b3cafd9619b9077132516baf58
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 14 22:42:35 2011 -0400

    separate EM and posterior
    
    Now, constrast is not performed unless -C is in use. EM can be invoked
    independently with -e without computing the posterior.

commit 9eefcac963697fae554789b11ae3cb2c23f224d0
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 14 22:00:19 2011 -0400

    further code cleanup; prepare to add EM interface

commit c2cce52355262743711e4742b0c8542bfcab1cdd
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 14 21:44:03 2011 -0400

    drop EM from prob1

commit 24016f04bd3bdffb7eeb50cb25854f5007feb70f
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 14 21:08:33 2011 -0400

    drop posterior LRT; prepare for clean up

commit 3670d8bd88c3eb22873f0a80e2a5913f64ca8c9a
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 14 20:57:43 2011 -0400

    better initial values for LD

commit d48a8873c060b18b57799cfe3a0e5496ba069457
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Apr 14 20:36:25 2011 -0400

    finished EM

commit b101f2db476188a950c23f5c1b6185fdb7f8f40b
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 13 01:19:04 2011 -0400

    genotype frequency estimate

commit d79bdcbf6242ecfb8accba9ac9a22fbcbd543cf2
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 13 00:37:22 2011 -0400

    prepare for code clean up

commit e0ce416abfc094f0c090957080b1404fd0edf752
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 13 00:34:15 2011 -0400

    rename ld.c to em.c

commit 45ede3ad181f35c1be24bed5d75841e472357ab7
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Apr 13 00:22:10 2011 -0400

    implemeted EM likelihood ratio test
    
    The idea is learned from a brief chat with Rasmus Nielsen.

commit 0454a346b60e42b75a2f742272089810279c7131
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Apr 12 15:45:52 2011 -0400

    added likelihood-ratio test (idea from Nick)

commit f6287c8646c690440a1554c8958e7268f4134dc2
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Apr 10 18:24:37 2011 -0400

    Release samtools-0.1.15 (r949:203)

commit de6023f38f4d652438557cf7a0ac6eec324e7416
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Apr 10 15:54:58 2011 -0400

    improved help information

commit d3b337f2b7eda1e6f8f5575a19d1b5ed55cae279
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Apr 9 16:28:01 2011 -0400

    fixed a minor issue

commit 82f6e4f49247e75fbd8ec08c285b8d3047b3d235
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Apr 9 15:49:04 2011 -0400

    separate QC-pass and QC-fail reads

commit 8362b4a255081ee7ca0a4ca2eabc8c76758b6863
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 8 17:45:19 2011 -0400

    added verbose level

commit f7bf419c290462be7d289249a4a6d28f825b4c93
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 8 16:08:14 2011 -0400

    fixed a bug

commit 890cbb1ac93b3004fb6cf42ff47195077dcfc8ad
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 8 16:00:37 2011 -0400

    drop unrelated @RG when "-R" is in use

commit a62dc929c950fb51311b705f5b5bfba8e3f704d7
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 8 16:00:14 2011 -0400

    skip header validation

commit 39da810e2c56c8f0eff1ab726600b41f26d3d8e9
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Apr 5 23:52:22 2011 -0400

    change error message

commit c0c50a34df250ef8a7a29b172058cd229be582b5
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Apr 5 23:50:46 2011 -0400

    fixed a bug caused by recent modifications

commit 25226e8c468404cb5e1b5272efcea57e4193c762
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Apr 5 13:31:19 2011 -0400

    reduce the indel filtering window

commit 5e18d7014437734f9dac9ab45a95e43ec2526101
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Apr 4 13:56:20 2011 -0400

    only output hwe if it is small enough

commit 614941fb7dd276de662e7820eb8c7bae871a18cc
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Apr 4 13:34:02 2011 -0400

    added HWE back

commit 7abe8825aa0bacccdeb38125934ae94d18f0ad4d
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Apr 4 12:46:24 2011 -0400

    EM estimate of genotype frequency

commit 2bfeff9c645d177416664f1cb811e85cac3ff9e3
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Apr 4 11:29:12 2011 -0400

    minor

commit 401e40647e7e3abbac6e4ec3d8bb68eb6f2d401b
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Apr 4 11:24:04 2011 -0400

    Added genotype freq estimate and association test

commit 6cc226df6e3b480f1bd6e763ce8ef47f785bbb74
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Apr 3 20:57:23 2011 -0400

    minor changes

commit 7e47a39630e812f09b80369f14606245976f687e
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 1 15:21:59 2011 -0400

    print the grayscale

commit 2f675d9c0dde3c166c99e335fa17c7873a5ae8d5
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 1 08:55:16 2011 -0400

    change to comment

commit 0592bb514994544ed84f51e509b233cf8821e0cf
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Apr 1 08:54:35 2011 -0400

    added base quality filtering

commit fc1b47e04a7b94f6362c45856cbeb89d9d0b5ca5
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 31 23:31:14 2011 -0400

    fixed a few typos in comments

commit 60be79bc8f0d24656e5e8a329af7e9b5b91d4c8b
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 31 23:13:23 2011 -0400

    comments

commit 2432864acc25ebe5cee4217dbb0120439077a7f8
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 31 22:42:46 2011 -0400

    added bam2depth.c, a demo program

commit 39625f7c6bea9ccbfd9af0feb22348d52079f012
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 31 16:37:22 2011 -0400

    added bgzf_check_bgzf() (used by tabix)

commit 6de6bd3fb67fd22753a5f07d4cc25bf94e1b5a8c
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 31 16:37:08 2011 -0400

    fixed a bug in bedidx.c

commit 3b9e257d25b2e81eed1625bc5d2882ed486ef20e
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 30 13:27:15 2011 -0400

    added bed support to bcftools

commit 47bcce3d14ec4d205283b61e5e653803996c42e0
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 30 12:56:40 2011 -0400

    Added BED support to "samtools view"

commit a812386017faedfc86c0e6562adbb2138329cfeb
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 30 12:47:04 2011 -0400

    support BED file

commit 3052dddc929f1825e6e7f7f6f6724d9465d6cf9a
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Mar 28 15:51:55 2011 -0400

    relax RG matching; proper mismatching message

commit f86d60c8fe25785523f01fae1486d2a6df4ee6ef
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Mar 26 10:38:23 2011 -0400

    Avoid reporting association when something unexpected, which I do not understand, happens.

commit dd41e6b26fd9fe30218748b9a0a1f49bdb1862b9
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Mar 26 10:38:01 2011 -0400

    Added -1 to merge

commit 4a0364b0d7f87f1c88d71ec5857a1f1d40710681
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 23 16:56:55 2011 -0400

    plot pairwise r^2

commit 452629a711582e612bec22b3b082e234bd37039b
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 23 14:31:01 2011 -0400

    pairwise LD; case-control AF2

commit 52862951adcaecde26ba8f0d9c1897944640a674
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Mar 21 23:03:14 2011 -0400

    Release samtools-0.1.14 (r933:170)

commit 59a5a8ba8e2940f0e38238f9339f02c91a8a0ce4
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Mar 21 13:52:55 2011 -0400

    optionally skip loci with too low sample coverage

commit 6434264b5c69514d4fafe62cbd30b3bbaddc1d41
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Mar 19 14:38:25 2011 -0400

    mpileup support Illumina1.3+ quality; skip non-variant sites when "view -v" is in use

commit 5f59e01987e1d5eca7d6359cae64a9734b18beea
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 18 17:19:18 2011 -0400

    update version to r933:167

commit 4d2c3c950910aa3d2c87760c3532e458fe01c0fa
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 18 16:25:01 2011 -0400

    added "-1" to the command-line help

commit 55313a015a7bd6369cf5a66fed7fab2333201dc9
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 18 16:22:12 2011 -0400

    added the "cat" command (by Chris Saunders)

commit b670272cadf3efa4dc456ac4c76104f73477d60d
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 18 15:59:46 2011 -0400

    support varying the compression level

commit c5dd3c9ca5f75f880e52c8cd2beae983bcb8d3b1
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 16 14:33:45 2011 -0400

    update the manual pages

commit 12fb4b596dc51bccd154fc4bd0593442f7937a46
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 16 12:49:26 2011 -0400

    update changelog

commit e7fe4fd66e02d60a1ca7952ad1938809e77729a9
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 16 12:10:05 2011 -0400

    do not call indels when the depth is very high

commit 7455eeaa32b949bb3856f75810890aabf7cacb18
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 16 11:56:56 2011 -0400

    code clean up

commit 5f16679e54ced8e67a75d949f9175c50480b914e
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Mar 15 14:45:24 2011 -0400

    when -s is specified, change the sample order

commit 7ba95adee09d3b06a7eaf797d25efef837e592f5
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Mar 15 14:11:42 2011 -0400

    compute the rank in permutation

commit d219783cea7643fc7e10e1bd3a98e9b3165b4506
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Mar 13 21:35:13 2011 -0400

    I have found a SERIOUS BUG!!!

commit 8e20d04ecdac1a7788eef71c4bb91b8479cf7150
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Mar 13 17:04:04 2011 -0400

    optionally shuffle samples in a BCF (debugging)

commit fc7b261f181f2a411427bc9ee5d586c883ca9cdc
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 11 09:34:20 2011 -0500

    fixed a bug

commit b3bbcc3d40994ae85705ab6fef9866ec8c142201
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 10 20:25:59 2011 -0500

    use mode instead of mean

commit f1161262d137098a19143b5cb0de810e5db3243e
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 10 20:09:16 2011 -0500

    start from the mean instead of the mode

commit 2ba56f5e99e90674855c4ffc8bf583340b932e1e
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 10 17:13:34 2011 -0500

    fixed an error in Chi^2 test

commit b4ce7ae400290bc43dd287240479667f99b3b11e
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Mar 10 00:23:39 2011 -0500

    minor

commit 8487fa5d3a73a43443964e731ea2a4c873c9d4e5
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 9 21:33:19 2011 -0500

    added -F to accept BCFs generated by old samtools

commit fd51d2093f7fd775a7eaaeea57fa34716ab59ac2
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 9 17:39:09 2011 -0500

    update version

commit b6da54335df943015a998a934075331b467abb5b
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 9 17:37:14 2011 -0500

    compute pseudo-chi2 probability

commit 9f73cefdb8935421d872b989dd98fbc8e1295029
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 9 15:54:04 2011 -0500

    remove a comment which is wrong

commit b10b1e47ece522e97ab8ef23417bcb6454f8b9db
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 9 15:51:12 2011 -0500

    clean up

commit 353bfae2c6ff59205bd9223db04084cf7f507f01
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 9 15:45:29 2011 -0500

    for backup

commit 53915d1c6410c2537d18bfa8eb8c657a2233c35e
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 9 15:27:56 2011 -0500

    having debugging code

commit 0d0dbf66995b1511390d593981eae7b5d36fe17b
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Mar 9 14:58:23 2011 -0500

    temporary backup

commit 5b74a174a8b637dee43b7f30250df6fb96580e12
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Mar 8 15:46:11 2011 -0500

    the output makes sense, but there may be a typo...

commit d81ec654b6c0c1eef6b0625d96f14b3155cee7c6
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Mar 8 15:19:09 2011 -0500

    added contrast2(); fixed a bug in haploid mode

commit 0cfd896fad5f7737cca49efa94a11892dafcd812
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Mar 7 21:40:17 2011 -0500

    fixed a bug in haploid genotyping

commit ccd52155ef61273f2b42ad9c7b31ff1915f81b24
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Mar 5 18:10:35 2011 -0500

    fixed a few bugs; still not fully working

commit edc3af753f96f831968ae32f2e0f915b74f31e6e
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 4 17:31:33 2011 -0500

    drop HWE calculation

commit 92dac194debb66ca0718c21c871822dda2dd5bc1
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 4 17:28:35 2011 -0500

    implemented hap/dipoind mode; probably BUGGY!

commit 7f26804bc27937e36fdc967e5c76514653ea40f5
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 4 16:01:27 2011 -0500

    read ploidy

commit e7b7213475b5e61a69aab77ffb02b4983c8e7678
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 4 14:12:14 2011 -0500

    added math notes

commit 46023e2f21321da83fc8e83e9229757a4e821acb
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Mar 4 13:34:10 2011 -0500

    update BCF spec

commit 13190c49eeb006ad7013b7f1e9fc1b3beca3ae78
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Mar 1 14:45:19 2011 -0500

    Release samtools-0.1.13 (r926:134)

commit be8fabbb6001d9fd5263a70a3e21ed6dfe5a9837
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Mar 1 14:07:15 2011 -0500

    prepare to finalize 0.1.13

commit 1e8c753660978bed7e9289fe50becd596d9314bb
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Mar 1 09:40:17 2011 -0500

    allow to change whether to drop ambiguous reads

commit 412210bfdb46606023f2e4b9086f2787f0cf1c62
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 22:01:29 2011 -0500

    revert to the old behavior of phase

commit 46035589518cf84738de8666b866e2619457c1fb
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 16:46:23 2011 -0500

    change version number

commit 7f40c33e37fc16fcb0a375ce46ae1d09cafb6d50
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 16:37:42 2011 -0500

    bugfix in indel calling: interger overflow

commit 75849470efbe30042e5ddd516f9bcbe3b9bf6062
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 15:35:47 2011 -0500

    fixed a typo

commit 9e6fb569885f906fabaab7fc2f02eae82f4bd602
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 15:34:09 2011 -0500

    minor changes to heuristic rules

commit 30a799a91f5e2c10b761aa5437f902c6649fceb3
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 15:20:26 2011 -0500

    fixed a bug in the latest change

commit e21ba9df950ea37f5c1b35c2af9ba9a4e0bba02a
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 12:47:06 2011 -0500

    put version in bam.h

commit 918b14780c1dceb39c7010638ecd61c626e17166
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 12:00:38 2011 -0500

    frag_t::phased==0 reads are dumped to chimera.bam

commit 657293c7bdba3ac69f53cd1ffa2874ed8756475e
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 11:05:29 2011 -0500

    change default -q to 37 (previously 40)

commit 33d8d3bea76e466798ea322d68d34deb8d2dff06
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 28 10:39:57 2011 -0500

    fixed a minor bug in BAM reading

commit daa25d426d42465d76c7317c95772bbb36bb3f47
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Feb 26 21:07:24 2011 -0500

    suppress gzopen64() warning

commit 9cec4256eb9e7848d4711adb67b540659c141e32
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 22:14:52 2011 -0500

    fixed a long existing bug in vcf2fq

commit 304487c83067a733add71cbc3886fa8c49f7ef2a
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 16:37:40 2011 -0500

    change version number

commit 10ba6bf4f16692760f696f7b17f3719065786f77
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 16:34:08 2011 -0500

    Change the order of PL; change SP to int32_t

commit c5cc2a8036a9c3579fbfde651efec4f6763b0228
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 14:52:03 2011 -0500

    claim X defined in the header

commit 4ee8cb29f6092fd14a89f0cc5d3575112a204f39
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 14:40:24 2011 -0500

    minor changes

commit 00065e9336a2831dc53bee7da2f4719845be1a2a
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 11:39:06 2011 -0500

    fixed an error in the BCF spec

commit 1e2a73afcb72a02aa448718cb017c0438de89f90
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 11:36:40 2011 -0500

    update BCF spec

commit dbf8eedaa38a405cb2fba5b3952b85776f51d035
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 11:28:43 2011 -0500

    update BCF spec

commit eed1d91af9fad3c9d965333a55e623757f9c4e9d
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 09:51:39 2011 -0500

    fixed a flaw in targetcut

commit 59bc980bb832b92a8b0cc244cf106e6150e4db6f
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 00:54:35 2011 -0500

    update manual page

commit fcc4738c4abdca79e3de159e21208df1b98ac76c
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 00:45:39 2011 -0500

    update version format

commit 5748639ae542b7f6b853562edc2bb3faf43030e4
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 00:45:12 2011 -0500

    update version number

commit 06b44cc366cf27ce8976ee6a05810a0b3c48b56d
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 00:44:21 2011 -0500

    update version number

commit ab7f4529d12739ff66fd4c09af9d992ab59c53ef
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 25 00:42:55 2011 -0500

    various help message

commit a092e1f6f963272f8bb23616986ddaf604fd0f82
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 24 23:43:13 2011 -0500

    disable unfinished functionality

commit f00a78db72b14ee4c6689fc13f20ed31aeaecd40
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 24 10:04:56 2011 -0500

    added "const" to bcf_p1_cal()

commit 91049c4a8db3bf50dcc9d07506f22fa4ca5b5a96
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 23 11:53:47 2011 -0500

    randomly allocate unphased reads

commit f4405354a8d4cb3441141fa734573031059d7f57
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 22 15:36:07 2011 -0500

    fixed a typo

commit 3075e4dc5c7c9d954426aabda6a73fa788357100
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 22 15:33:40 2011 -0500

    make output more informative

commit 628cf3235e2815a40acf089fb1d3357be6437787
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 22 14:50:06 2011 -0500

    change the scoring rule; change default k to 13

commit f22fd99831e4b5c74f898719216f359dbe987bbf
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 22 14:45:15 2011 -0500

    update scoring in masking

commit 2f23547b81984555032aa0eefd064b8e07986fdc
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 22 14:37:17 2011 -0500

    remove dropreg()

commit 4d8b6b1f1f331ca9041983c66e34a857c3b8f1bb
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 22 13:10:16 2011 -0500

    accept files from stdin

commit 9b50c5038e6fc0185e29ca5b50fe0806a9a939b9
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 22 11:16:57 2011 -0500

    fixed a bug in consensus generation

commit 1332ab32fb788fdc81b2ba8653b905d106238fad
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 22:53:23 2011 -0500

    print dropped fragments

commit a288761b4ca1584e51076a71cbc4d72fe923dda1
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 22:37:04 2011 -0500

    bugfix: singletons are not phased

commit 683365f534c0223dea7d72532015ac16a45ba22b
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 17:27:10 2011 -0500

    output singleton blocks

commit 841a4609084d81f1bc81e0b00dd806002461e7d9
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 15:58:55 2011 -0500

    fixed a bug; not working with -l right now

commit fdd57ea31732b5516dc212d72174b60206952636
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 15:17:00 2011 -0500

    skip mapQ==0 reads

commit 4eb6ba75c23c1c9be5f76814fa1b93a2e304b2af
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 14:03:03 2011 -0500

    print the "targetcut" command

commit 0123d9559ba58b026c0dfd15bc26019a193cd21a
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 11:22:13 2011 -0500

    allow to set the maximum depth

commit 0f92eb248a4d06645b2c3d736a0faea8a7a9f731
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 09:56:41 2011 -0500

    use a proper error model to call hets

commit 587a01504af5aea6288740d121dccf48fb8a75f4
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 21 09:16:38 2011 -0500

    phase is UNFINISHED; strip RG when merging

commit 723bf3cd79e4f4a558373d4c707fa6b3db0fb357
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Feb 19 23:38:11 2011 -0500

    use a proper model to compute consensus

commit 891a6b02d4a9af2ed98fbaac4915bf1f0da4f6c8
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Feb 19 22:14:19 2011 -0500

    added comment

commit 8b55e0a581ecc9e4ba754d1f3c8784f3038b6e48
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 18 17:23:39 2011 -0500

    change the output format

commit 75c36e8c563eddd0a362ba3b38cf0aea21aafb1f
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 15 20:31:00 2011 -0500

    fixed a bug in writing BAM

commit bb0ce52f066cfebaa35a125d57b353bb717a5165
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 23:39:09 2011 -0500

    skip uncovered; unknown alleles taken as X

commit ba67f4d119c7d06907db3015d337d9a01a3fc9fe
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 23:21:19 2011 -0500

    fixed a bug

commit e4448d49e6129a5e1ee9c7f04f43612f12d6aad6
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 22:43:09 2011 -0500

    prepare to read hets from a list; unfinished

commit 129ea29c1f12177c0a7c3e21676f6210370fc59b
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 16:32:22 2011 -0500

    updated khash.h to 0.2.5

commit 15b44ed93bd949dffcf79ac8dbea6d9b7dfcb58c
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 16:15:04 2011 -0500

    use the latest version of khash

commit 486c05f06f44d981dfb2069bcb43e4b35fd8389c
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 15:04:40 2011 -0500

    change the default -k to 11

commit 07cf9d1e443d73cf053de38dd01671e3781f6e29
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 14:50:51 2011 -0500

    sort fragments by vpos instead of by beg

commit d0d3e7faabf5cbb7e5ff7b294f7e220da807c4c0
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 14:45:41 2011 -0500

    shuffling the two haplotypes for better randomness

commit 3be28eaf5f6033229aedf12ddb11a0084ba01cd8
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 14:09:17 2011 -0500

    write chimeras to a separate BAM

commit 80ccbc26f43918fe42be123cc1da9d3d7ce30816
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 13:54:13 2011 -0500

    no mem leak/violation on small files; correctness is not checked

commit 5c923867432fa14c26a19e3782e7f48d4080f6ac
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 14 13:50:25 2011 -0500

    bam separation; at least not immediate segfault

commit cea2643ec30a59735bf89b2f562b563bf7263e79
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Feb 13 23:24:11 2011 -0500

    on the way to implement BAM separation; unfinished

commit 964269cd15036a470ca89e43d0952201a0825671
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Feb 13 18:07:56 2011 -0500

    keep singletons in the hash table

commit 2d4aa649bd670d5e038a1acaefd33c5fe24ae0e8
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Feb 13 17:42:24 2011 -0500

    Revert "prepare to add bam separation"
    
    This reverts commit ed6957e5211c2c4cf684dcb8bbb661052c74df6f.

commit ed6957e5211c2c4cf684dcb8bbb661052c74df6f
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Feb 13 00:24:28 2011 -0500

    prepare to add bam separation

commit d211e652d93791d2e112d334added243ffe5fc3e
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Feb 12 18:50:20 2011 -0500

    accelerate kstrtok

commit 2d6af49d331ff5afe7b9e9b102e79d7d4512fdbe
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 11 21:08:21 2011 -0500

    split unlinked blocks

commit 68e4cd1b560b0a6fd4c77e5e51eadde9fda26ea4
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 11 10:47:58 2011 -0500

    remove heading and tailing ambiguous positions

commit d2b685141426a902ae76660c1fbe8020da150cf8
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 11 10:02:21 2011 -0500

    code clean up for further features

commit c6980e062d55928b59f287c03e599dd5a37ed509
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 11 08:00:08 2011 -0500

    change /64 to >>6; the latter is faster

commit 91635b9c2687f24d72ee6a8aad2050a79bb8400f
Merge: 41d4df2 9a7e155
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 11 01:22:55 2011 -0500

    Merge branch 'master' into devel

commit 9a7e155cc591c1b6c9f7f9cb939364a6becb65b2
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 11 01:21:07 2011 -0500

    output an unrecognized field as '.'; autofix GL/PL

commit 41d4df2e9545e9abe97151cfe5d6c763f3d00db1
Merge: c00c41c aacce0c
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 10 23:00:14 2011 -0500

    Merge branch 'master' into devel

commit aacce0ce7276f451e4fddf81832f9e5f7f65198b
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 10 22:57:53 2011 -0500

    finished VCF->BCF conversion

commit 0e875df643e41d848b709e2fa877de8ae53cdd4c
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 10 21:57:28 2011 -0500

    fixed a bug in reading VCF files

commit c00c41c2a5da69cccea64adb542a0b365e56b4fc
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 10 16:28:37 2011 -0500

    suppres one-allele blocks

commit 2e2354b673722e2f00d72970a043f80a66270da1
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 10 16:06:56 2011 -0500

    fixed the bug in filtering

commit d971e1fe24de4ecaf94055efffc5f641e2bdb563
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 10 12:24:23 2011 -0500

    prepare to add filtering; buggy right now

commit a0a5a3fbf504c3b02f7b9212e72315c1047cc249
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 10 11:55:02 2011 -0500

    make masking optional

commit 28db71ccd95054a5f8a47c2332794f8968f6a822
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 10 11:40:47 2011 -0500

    routine to mask poorly called regions

commit a3f6c439262bc10a4067860440f4d4dde9e0c515
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 9 17:18:33 2011 -0500

    code clean up: remove globals

commit 0b711978492f6ad39d459d78723c299468906818
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 9 16:52:54 2011 -0500

    output more information

commit f69d217ae5b691bf42ad07a97f29a7cc6456046f
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 9 16:11:54 2011 -0500

    fixed another bug in flipping

commit d47882d549337fbcc251597508a2c7faf1bb92e2
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 9 16:01:35 2011 -0500

    fixed a stupid bug in flipping

commit e33f89de499496537f5fbde396a66557f0353f1b
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 9 15:54:42 2011 -0500

    fix chimeras; a little weird...

commit 03d3c1d0b945245108ce0942d4772536a32212c7
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 9 13:27:35 2011 -0500

    no effective change; prepare to fix chimera

commit 6bc0a4676dd2252085a6e67bb06daa5ae05a554f
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 9 11:52:58 2011 -0500

    better count output

commit dcac515439d25f71125d6de8111da417776ab9ce
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 9 10:31:07 2011 -0500

    prepare for another way of filtering

commit ca7e4f1899b86d2e077994c789e8f69d699b3cd9
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 8 16:10:08 2011 -0500

    fixed the bug; I can do better.

commit 0733f77b98af121bdcb198cea6151d159831bb9c
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 8 15:55:38 2011 -0500

    fixed two bugs; still not working...

commit 80f18cba9ba73c9592380fc1ecd53c351d294782
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 8 15:42:58 2011 -0500

    filter false SNPs; NOT working right now

commit 69a66e2f96d5b102cd712ff1527a3802fa84c590
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 8 14:39:09 2011 -0500

    write sequence in the SAM format for debugging

commit b6f1c9d160822af2b713be206f37bd6dde00546a
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 7 11:51:21 2011 -0500

    fixed two bugs

commit 400aa5c06100af9c47cd5e4ce8b95b7deb84f54b
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 7 11:22:38 2011 -0500

    Optionally apply BAQ

commit 4c82e0e19682e424f5cdb8381364114c307b329e
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Feb 7 01:23:31 2011 -0500

    improved output; the result makes sense at a glance

commit dc7853a581ab24bcc496e96b123ccf637e32ed1d
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Feb 6 14:12:43 2011 -0500

    process per linked block instead of per chr

commit e867d9c6c2e61d9e748e78163e5481dca5697a36
Author: Heng Li <lh3@live.co.uk>
Date:   Sun Feb 6 00:45:46 2011 -0500

    DP seems to work on toy examples

commit 445ad72fc43d4354d56f5f759790e8ae0be73d02
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Feb 5 01:24:42 2011 -0500

    implemented backtrack; not tested

commit ba38e180b9cd545956583b22e97e09b4bb12073e
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 4 23:55:23 2011 -0500

    More "correct" DP; backtrack not implemented

commit d69761fd9351273ccd37ea431b10509add91e7cf
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 4 17:22:31 2011 -0500

    scratch of dynamic programming; unfinished...

commit 769ffcb44e26e59300791658801d321559b33858
Author: Heng Li <lh3@live.co.uk>
Date:   Fri Feb 4 16:29:55 2011 -0500

    UNFINISHED commit.

commit 9adab9591317c3467f3d8cdf2d19ec1f65d1b5b7
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 3 16:20:59 2011 -0500

    another way of counting; can be even faster

commit bbafbdc01ed1ceaab44927def1ad47c4c78aeb9c
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Feb 3 14:48:20 2011 -0500

    for backup

commit eba7446389cad62a19133bced1386a4334dcab79
Merge: a44a98e f01a593
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 2 14:06:07 2011 -0500

    Merge branch 'master' into devel

commit f01a5930445b5fda7e6b5b813ed63c652160ada2
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 2 11:31:54 2011 -0500

    Better truncation warning when EOF is absent

commit dd3ee5ed26c8bbef4a62fa5b2bfb0a75833f2c31
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 2 10:38:28 2011 -0500

    fixed a typo in BCF/VCF headers

commit b9d1137c55f401387113d1ad8a387489afe741db
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Feb 2 09:13:44 2011 -0500

    fixed an out-of-boundary bug (fixed by Roel Kluin)

commit a44a98e16559b9672e8a3492c8f8c640074b7ee2
Merge: ef68a14 d0443d5
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 1 21:54:48 2011 -0500

    Merge branch 'master' into devel

commit d0443d5c2f648e0f69bd4c56eaac7868e501c18b
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 1 17:31:52 2011 -0500

    improved sorting order checking

commit ef68a14fab91399b2ecd38345936c3d6e7391cf3
Merge: 1e597b3 1a39a2e
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 1 15:12:37 2011 -0500

    Merge branch 'master' into devel

commit 1a39a2eb08a270e20a34a0983e8bed6ffb3e2008
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 1 15:12:14 2011 -0500

    more precise error message

commit e028e7a47c02232e06a9dd3009262c00dede1060
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 1 14:48:01 2011 -0500

    improved sorting order validation in index

commit 1e597b3356744e2b791b12c9187f91c8054511d5
Author: Heng Li <lh3@live.co.uk>
Date:   Tue Feb 1 14:44:27 2011 -0500

    testing only; not working

commit 5753ace1e54228822d8ee95f69943f586e42f6e8
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Jan 31 17:37:08 2011 -0500

    reduce the effect of seq errors at the cost of SN

commit 6f239ce5e0abd47babee33174476d48b723260d8
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Jan 31 17:29:34 2011 -0500

    added testing code

commit 3db42fe22d27d61ab5735cd2308f73d93def8ebe
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Jan 31 14:33:21 2011 -0500

    routine for phasing fosmid resequencing (incomplete)

commit ed88f2797323229ae8f38fbcd107b231007956a8
Author: Heng Li <lh3@live.co.uk>
Date:   Mon Jan 31 10:12:53 2011 -0500

    SAM output

commit abc6acae28dc4794f6422255f077cf370d34e414
Merge: f1985a9 b133dbf
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Jan 29 22:56:10 2011 -0500

    Merge branch 'master' into devel

commit b133dbf82de4e8cea5eb56e5bbf0c4b3e9368fd5
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Jan 29 22:37:11 2011 -0500

    fixed a bug in tview on big-endian by Nathan Weeks

commit 9d3fdaef29f91e21dbfcb9ff0165b9573e7c1042
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Jan 29 22:24:00 2011 -0500

    update INSTALL

commit 9d074a38bde53961f96157b6fb3683b6dded38d7
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Jan 29 21:56:25 2011 -0500

    avoid a segfault when network connect fails

commit f1985a93f7455b3ea1b0ef9b959d50b896ccd620
Author: Heng Li <lh3@live.co.uk>
Date:   Sat Jan 29 21:53:18 2011 -0500

    fixed a bug about bit ordering

commit d09797db6fef648a6823cbe718d67664660c6ebe
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jan 27 16:53:19 2011 -0500

    point out there are 4 or fewer free parameters

commit 5fd1717650ed68ab6c55d094d1648c16a054891a
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jan 27 16:09:18 2011 -0500

    updated .gitignore

commit fccb19fbe8f9de91f59d85bb49a248683dc6266c
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jan 27 16:08:14 2011 -0500

    fixed a bug; better scoring

commit b4dcb844bde3d09eedcd9f6832186ece60ae5afd
Merge: ffc3e89 6f502de
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jan 27 14:50:30 2011 -0500

    Merge branch 'master' into devel

commit 6f502dec46b18dae4bb5b2319715d028b5e193d0
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jan 27 14:47:31 2011 -0500

    skip unmapped and ref-skip reads in indel calling

commit 3639f37dd8257b24560c35effcc3b6c16c3c1bcb
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jan 27 14:19:15 2011 -0500

    fixed an out-of-boundary bug in rare cases

commit ffc3e89678ab9052b84f403da1e43044b045e73f
Author: Heng Li <lh3@live.co.uk>
Date:   Thu Jan 27 14:00:17 2011 -0500

    targetcut can be compiled, though probably buggy

commit f452b3ac51306865ddde31a8d715b155d4d3e6e6
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jan 26 18:58:43 2011 -0500

    this is for a very special application...

commit ca1451c6406c7ee757cb31349ea0b8de70db0656
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jan 26 18:48:09 2011 -0500

    fixed compiling errors

commit 085b87a7642865f17239fb6a436e626e25417838
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jan 26 18:45:09 2011 -0500

    This script was put in a wrong place...

commit 090d360828622520de60385af4928ce1aebe0e48
Author: Heng Li <lh3@live.co.uk>
Date:   Wed Jan 26 18:33:58 2011 -0500

    Imported from samtools-r902
------------------------------------------------------------------------
r108 | lh3lh3 | 2009-01-20 11:56:45 +0000 (Tue, 20 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/examples/Makefile

made it a little more convenient

------------------------------------------------------------------------
r107 | lh3lh3 | 2009-01-20 11:53:30 +0000 (Tue, 20 Jan 2009) | 2 lines
Changed paths:
   A /branches/dev/samtools/examples/Makefile

added a Makefile

------------------------------------------------------------------------
r106 | lh3lh3 | 2009-01-20 11:25:05 +0000 (Tue, 20 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/maq2sam.c

support RG tag

------------------------------------------------------------------------
r105 | lh3lh3 | 2009-01-18 17:37:20 +0000 (Sun, 18 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/ChangeLog

update changelog

------------------------------------------------------------------------
r104 | lh3lh3 | 2009-01-18 17:31:21 +0000 (Sun, 18 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_lpileup.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-18
 * fixed a bug in bam_lpileup.c: segment start and end are not correctly recognized

------------------------------------------------------------------------
r103 | lh3lh3 | 2009-01-18 16:34:03 +0000 (Sun, 18 Jan 2009) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-17
 * fixed a bug when there are reads without coordinates
 * also recognize type 'c' as 'A'	
 * found a bug in bam_lpileup.c; NOT fixed yet

------------------------------------------------------------------------
r102 | lh3lh3 | 2009-01-17 19:46:49 +0000 (Sat, 17 Jan 2009) | 2 lines
Changed paths:
   A /branches/dev/samtools/INSTALL

Instruction for compilation

------------------------------------------------------------------------
r101 | lh3lh3 | 2009-01-17 19:31:36 +0000 (Sat, 17 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   A /branches/dev/samtools/Makefile.lite
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/faidx.c
   M /branches/dev/samtools/misc/Makefile
   M /branches/dev/samtools/razf.c

 * replaced HAVE_RAZF with _NO_RAZF
 * added Makefile.lite for people who have trouble with razf.c

------------------------------------------------------------------------
r100 | lh3lh3 | 2009-01-16 10:03:37 +0000 (Fri, 16 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_mate.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/misc/wgsim.c

 * samtools-0.1.1-15
 * fixed another bug in fixmate: unmapped pair has non-zero isize

------------------------------------------------------------------------
r99 | lh3lh3 | 2009-01-16 09:13:36 +0000 (Fri, 16 Jan 2009) | 4 lines
Changed paths:
   M /branches/dev/samtools/ChangeLog
   M /branches/dev/samtools/bam_mate.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-14
 * fixed a bug in fixmate: isize not equal to zero if two ends mapped to
   different chr

------------------------------------------------------------------------
r98 | lh3lh3 | 2009-01-15 16:47:41 +0000 (Thu, 15 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-13
 * fixed the prior for hom indels (Richard pointed this out)

------------------------------------------------------------------------
r97 | lh3lh3 | 2009-01-15 16:38:47 +0000 (Thu, 15 Jan 2009) | 4 lines
Changed paths:
   M /branches/dev/samtools/COPYING
   M /branches/dev/samtools/bam_sort.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/source.dot

 * samtools-0.1.1-12
 * fixed a bug in sort
 * update source file graph and copyright information

------------------------------------------------------------------------
r96 | lh3lh3 | 2009-01-14 21:46:14 +0000 (Wed, 14 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/glf.c

fixed a typo

------------------------------------------------------------------------
r95 | lh3lh3 | 2009-01-14 21:44:53 +0000 (Wed, 14 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/glf.c

added a main function for glf.c

------------------------------------------------------------------------
r94 | lh3lh3 | 2009-01-14 17:14:59 +0000 (Wed, 14 Jan 2009) | 4 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/bgzf.h
   A /branches/dev/samtools/glf.c
   M /branches/dev/samtools/glf.h

 * samtools-0.1.1-11
 * generate binary GLFv2
 * added glfview command to dump GLFv2 binary file

------------------------------------------------------------------------
r93 | lh3lh3 | 2009-01-14 15:07:44 +0000 (Wed, 14 Jan 2009) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_rmdup.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/glf.h

 * samtools-0.1.1-10
 * fixed several bugs in rmdup
 * prepare to generate GLF2

------------------------------------------------------------------------
r92 | lh3lh3 | 2009-01-14 13:27:44 +0000 (Wed, 14 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_import.c
   A /branches/dev/samtools/bam_rmdup.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-9
 * implemented rmdup; NOT tested yet

------------------------------------------------------------------------
r91 | lh3lh3 | 2009-01-13 20:15:43 +0000 (Tue, 13 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/examples/00README.txt

update README for typos

------------------------------------------------------------------------
r90 | lh3lh3 | 2009-01-13 19:57:50 +0000 (Tue, 13 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/examples/ex1.sam.gz

update example

------------------------------------------------------------------------
r89 | lh3lh3 | 2009-01-13 17:21:38 +0000 (Tue, 13 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.c
   A /branches/dev/samtools/bam_mate.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-8
 * added fixmate command

------------------------------------------------------------------------
r88 | lh3lh3 | 2009-01-13 10:48:23 +0000 (Tue, 13 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-7
 * change the reported indel position to the previous way

------------------------------------------------------------------------
r87 | lh3lh3 | 2009-01-12 22:12:12 +0000 (Mon, 12 Jan 2009) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-6
 * addd glt output
 * allow to change indel calling parameters at the command line

------------------------------------------------------------------------
r86 | lh3lh3 | 2009-01-12 21:16:48 +0000 (Mon, 12 Jan 2009) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-5
 * added two more flags
 * allowed to select reads shown in pileup with a mask

------------------------------------------------------------------------
r85 | lh3lh3 | 2009-01-12 20:47:51 +0000 (Mon, 12 Jan 2009) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-4
 * fixed a bug in indexing (linear index)
 * prepare to add glt output from pileup

------------------------------------------------------------------------
r84 | lh3lh3 | 2009-01-12 09:22:35 +0000 (Mon, 12 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-3
 * fixed a bug in outputing the coordinate of an indel

------------------------------------------------------------------------
r83 | lh3lh3 | 2009-01-11 15:18:01 +0000 (Sun, 11 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-2
 * pileup: allows to output indel sites only

------------------------------------------------------------------------
r82 | lh3lh3 | 2009-01-10 23:34:31 +0000 (Sat, 10 Jan 2009) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_maqcns.h
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.1-1
 * implemented a Bayesian indel caller

------------------------------------------------------------------------
r81 | lh3lh3 | 2009-01-09 09:54:28 +0000 (Fri, 09 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/examples/00README.txt
   D /branches/dev/samtools/examples/ex1.fa.fai

Let users generate ex1.fa.fai.

------------------------------------------------------------------------
r80 | lh3lh3 | 2009-01-08 16:10:08 +0000 (Thu, 08 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/bowtie2sam.pl

make the bowtie converter works for "-k 2"

------------------------------------------------------------------------
r78 | lh3lh3 | 2009-01-03 17:25:24 +0000 (Sat, 03 Jan 2009) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/export2sam.pl

fixed a bug for "QC" reads

------------------------------------------------------------------------
r77 | lh3lh3 | 2009-01-01 18:32:06 +0000 (Thu, 01 Jan 2009) | 3 lines
Changed paths:
   A /branches/dev/samtools/misc/bowtie2sam.pl
   M /branches/dev/samtools/misc/soap2sam.pl

 * soap2sam.pl: added NM tag
 * bowtie2sam.pl: converter for bowtie

------------------------------------------------------------------------
r76 | lh3lh3 | 2008-12-31 23:24:24 +0000 (Wed, 31 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/misc/soap2sam.pl

soap2sam.pl: convert soap output to SAM

------------------------------------------------------------------------
r75 | lh3lh3 | 2008-12-31 17:54:32 +0000 (Wed, 31 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/misc/wgsim_eval.pl

 * wgsim_eval.pl-0.1.1
 * fixed a bug for a contig name like "NT_012345"

------------------------------------------------------------------------
r74 | lh3lh3 | 2008-12-31 16:38:21 +0000 (Wed, 31 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/misc/wgsim_eval.pl

 * evaluate alignment for reads generated by wgsim

------------------------------------------------------------------------
r73 | lh3lh3 | 2008-12-31 15:11:22 +0000 (Wed, 31 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/Makefile
   M /branches/dev/samtools/misc/wgsim.c

fixed compiling warnings for wgsim

------------------------------------------------------------------------
r72 | lh3lh3 | 2008-12-31 13:40:51 +0000 (Wed, 31 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bam_tview.c

remove an unused variable (a compiler warning only)

------------------------------------------------------------------------
r71 | lh3lh3 | 2008-12-31 13:37:16 +0000 (Wed, 31 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/Makefile
   A /branches/dev/samtools/misc/wgsim.c

wgsim: Paired-end reads simulator

------------------------------------------------------------------------
r70 | bhandsaker | 2008-12-29 20:27:16 +0000 (Mon, 29 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_tview.c

Move definition of bam_nt16_nt4_table so we can build without curses.

------------------------------------------------------------------------
r62 | lh3lh3 | 2008-12-22 15:55:13 +0000 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/NEWS
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/samtools.1

Release samtools-0.1.1

------------------------------------------------------------------------
r61 | lh3lh3 | 2008-12-22 15:46:08 +0000 (Mon, 22 Dec 2008) | 10 lines
Changed paths:
   M /branches/dev/samtools/bam_aux.c
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/razf.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-66
 * fixed a bug in razf.c: reset z_eof when razf_seek() is called
 * fixed a memory leak in parsing a region
 * changed pileup a little bit when -s is in use: output ^ and $
 * when a bam is not indexed, output more meaningful error message
 * fixed a bug in indexing for small alignment
 * fixed a bug in the viewer when we come to the end of a reference file
 * updated documentation
 * prepare to release 0.1.1

------------------------------------------------------------------------
r60 | lh3lh3 | 2008-12-22 15:10:16 +0000 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/examples
   A /branches/dev/samtools/examples/00README.txt
   A /branches/dev/samtools/examples/ex1.fa
   A /branches/dev/samtools/examples/ex1.fa.fai
   A /branches/dev/samtools/examples/ex1.sam.gz

example

------------------------------------------------------------------------
r59 | lh3lh3 | 2008-12-22 09:38:15 +0000 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/ChangeLog

update ChangeLog

------------------------------------------------------------------------
r58 | lh3lh3 | 2008-12-20 23:06:00 +0000 (Sat, 20 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/misc/export2sam.pl

 * added comments
 * fixed several bugs 

------------------------------------------------------------------------
r57 | lh3lh3 | 2008-12-20 15:44:20 +0000 (Sat, 20 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/misc/export2sam.pl

convert Export format to SAM; not thoroughly tested

------------------------------------------------------------------------
r56 | lh3lh3 | 2008-12-19 22:13:28 +0000 (Fri, 19 Dec 2008) | 6 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c
   A /branches/dev/samtools/source.dot

 * samtools-0.1.0-65
 * pileup: generate maq-like simple output
 * pileup: allow to output pileup at required sites
 * source.dot: source file relationship graph
 * tview: fixed a minor bug

------------------------------------------------------------------------
r55 | lh3lh3 | 2008-12-19 20:10:26 +0000 (Fri, 19 Dec 2008) | 2 lines
Changed paths:
   D /branches/dev/samtools/misc/all2sam.pl

remove all2sam.pl

------------------------------------------------------------------------
r54 | lh3lh3 | 2008-12-16 22:34:25 +0000 (Tue, 16 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/COPYING
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/faidx.h
   M /branches/dev/samtools/khash.h
   M /branches/dev/samtools/kseq.h
   M /branches/dev/samtools/ksort.h
   M /branches/dev/samtools/samtools.1

Added copyright information and a bit more documentation. No code change.

------------------------------------------------------------------------
r53 | lh3lh3 | 2008-12-16 13:40:18 +0000 (Tue, 16 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.c
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-64
 * improved efficiency of the indel caller for spliced alignments

------------------------------------------------------------------------
r52 | lh3lh3 | 2008-12-16 10:28:20 +0000 (Tue, 16 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.c
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_aux.c
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-63
 * a bit code cleanup: reduce the dependency between source files

------------------------------------------------------------------------
r51 | lh3lh3 | 2008-12-15 14:29:32 +0000 (Mon, 15 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-62
 * fixed a memory leak

------------------------------------------------------------------------
r50 | lh3lh3 | 2008-12-15 14:00:13 +0000 (Mon, 15 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/ChangeLog
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/samtools.1

update documentation, ChangeLog and a comment

------------------------------------------------------------------------
r49 | lh3lh3 | 2008-12-15 13:36:43 +0000 (Mon, 15 Dec 2008) | 6 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_maqcns.h
   M /branches/dev/samtools/bam_pileup.c
   A /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-61
 * moved pileup command to a separate source file
 * added indel caller
 * added bam_cal_segend(). (NOT WORKING for spliced alignment!!!)
 * updated documentation

------------------------------------------------------------------------
r48 | lh3lh3 | 2008-12-12 13:55:36 +0000 (Fri, 12 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-60
 * fixed another bug in maqcns when there is a nearby deletion

------------------------------------------------------------------------
r47 | lh3lh3 | 2008-12-12 13:42:16 +0000 (Fri, 12 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-59
 * pileup: outputing consensus is now optional
 * fixed a bug in glfgen. This bug also exists in maq's glfgen. However,
   I am not quite sure why the previous version may have problem.

------------------------------------------------------------------------
r46 | lh3lh3 | 2008-12-12 11:44:56 +0000 (Fri, 12 Dec 2008) | 6 lines
Changed paths:
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-58
 * add maq consensus to pileup. However, I will move this part to a new
   command as strictly speaking, consensus callin is not part of pileup,
   and imposing it would make it harder to generate for other language
   bindings.

------------------------------------------------------------------------
r45 | bhandsaker | 2008-12-11 20:43:56 +0000 (Thu, 11 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bgzf.c

Fix bug in tell() after reads that consume to the exact end of a block.

------------------------------------------------------------------------
r44 | lh3lh3 | 2008-12-11 09:36:53 +0000 (Thu, 11 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/samtools.1

update manual

------------------------------------------------------------------------
r43 | lh3lh3 | 2008-12-11 09:25:36 +0000 (Thu, 11 Dec 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-57
 * fixed a bug in parser when there is auxiliary fields
 * made the parser a bit more robust

------------------------------------------------------------------------
r42 | lh3lh3 | 2008-12-10 14:57:29 +0000 (Wed, 10 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/bgzf.c

 * samtools-0.1.0-56
 * fixed a bug in bgzf (only reading is affected)
 * fixed a typo in bam_index.c
 * in bam_index.c, check potential bugs in the underlying I/O library

------------------------------------------------------------------------
r41 | lh3lh3 | 2008-12-10 12:53:08 +0000 (Wed, 10 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/samtools.1

update manual

------------------------------------------------------------------------
r40 | lh3lh3 | 2008-12-10 11:52:10 +0000 (Wed, 10 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-55
 * tried to make pileup work with clipping (previously not), though NOT tested
 * removed -v from pileup
 * made pileup take the reference sequence

------------------------------------------------------------------------
r39 | lh3lh3 | 2008-12-09 11:59:28 +0000 (Tue, 09 Dec 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-54
 * in parser, recognize "=", rather than ",", as a match
 * in parser, correctl parse "=" at the MRNM field.

------------------------------------------------------------------------
r38 | lh3lh3 | 2008-12-09 11:39:07 +0000 (Tue, 09 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/maq2sam.c

fixed a bug in handling maq flag 64 and 192

------------------------------------------------------------------------
r37 | lh3lh3 | 2008-12-09 09:53:46 +0000 (Tue, 09 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/md5fa.c

also calculate unordered md5sum check

------------------------------------------------------------------------
r36 | lh3lh3 | 2008-12-09 09:46:21 +0000 (Tue, 09 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/md5fa.c

fixed a minor bug when there are space in the sequence

------------------------------------------------------------------------
r35 | lh3lh3 | 2008-12-09 09:40:45 +0000 (Tue, 09 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/md5fa.c

fixed a potential memory leak

------------------------------------------------------------------------
r34 | lh3lh3 | 2008-12-08 14:52:17 +0000 (Mon, 08 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c

 * fixed a bug in import: bin is wrongly calculated

------------------------------------------------------------------------
r33 | lh3lh3 | 2008-12-08 14:08:01 +0000 (Mon, 08 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/all2sam.pl

nothing, really

------------------------------------------------------------------------
r32 | lh3lh3 | 2008-12-08 12:56:02 +0000 (Mon, 08 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/kseq.h
   M /branches/dev/samtools/misc/Makefile
   A /branches/dev/samtools/misc/md5.c
   A /branches/dev/samtools/misc/md5.h
   A /branches/dev/samtools/misc/md5fa.c

 * fixed two warnings in kseq.h
 * added md5sum utilities

------------------------------------------------------------------------
r31 | lh3lh3 | 2008-12-08 11:35:29 +0000 (Mon, 08 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bamtk.c
   A /branches/dev/samtools/kseq.h
   D /branches/dev/samtools/kstream.h

 * samtools-0.1.0-52
 * replace kstream with kseq. kseq is a superset of kstream. I need the
   extra functions in kseq.h.
 * also compile stand-alone faidx

------------------------------------------------------------------------
r30 | lh3lh3 | 2008-12-08 11:17:04 +0000 (Mon, 08 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_sort.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-51
 * sorting by read names is available

------------------------------------------------------------------------
r29 | lh3lh3 | 2008-12-08 10:29:02 +0000 (Mon, 08 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.c
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bam_sort.c
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/misc/maq2sam.c

 * samtools-0.1.0-50
 * format change to meet the latest specification

------------------------------------------------------------------------
r28 | lh3lh3 | 2008-12-04 16:09:21 +0000 (Thu, 04 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/misc/maq2sam.c

 * minor change in maqcns: special care when n==0
 * change maq2sam to meet the latest specification

------------------------------------------------------------------------
r27 | lh3lh3 | 2008-12-04 15:55:44 +0000 (Thu, 04 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/razf.c
   M /branches/dev/samtools/razf.h

considerable code clean up in razf

------------------------------------------------------------------------
r26 | lh3lh3 | 2008-12-04 15:08:18 +0000 (Thu, 04 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/ChangeLog
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/faidx.c

make RAZF optional in faidx.c

------------------------------------------------------------------------
r25 | lh3lh3 | 2008-12-01 15:27:22 +0000 (Mon, 01 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_aux.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-49
 * added routines for retrieving aux data, NOT TESTED YET!

------------------------------------------------------------------------
r24 | lh3lh3 | 2008-12-01 14:29:43 +0000 (Mon, 01 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam.c
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/bgzf.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-48
 * bgzf: fixed a potential integer overflow on 32-it machines
 * maqcns: set the minimum combined quality as 0
 * supporting hex strings

------------------------------------------------------------------------
r23 | lh3lh3 | 2008-11-27 17:14:37 +0000 (Thu, 27 Nov 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-47
 * fixed the bug in maqcns

------------------------------------------------------------------------
r22 | lh3lh3 | 2008-11-27 17:08:11 +0000 (Thu, 27 Nov 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   A /branches/dev/samtools/bam_maqcns.c
   A /branches/dev/samtools/bam_maqcns.h
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c
   A /branches/dev/samtools/glf.h

 * samtools-0.1.0-46
 * add MAQ consensus caller, currently BUGGY!

------------------------------------------------------------------------
r21 | lh3lh3 | 2008-11-27 13:51:28 +0000 (Thu, 27 Nov 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-45
 * tview: display padded alignment (but not P operation)
 * better coordinates and reference sequence

------------------------------------------------------------------------
r19 | lh3lh3 | 2008-11-27 09:26:05 +0000 (Thu, 27 Nov 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/ChangeLog

new ChangeLog

------------------------------------------------------------------------
r18 | lh3lh3 | 2008-11-27 09:24:45 +0000 (Thu, 27 Nov 2008) | 3 lines
Changed paths:
   D /branches/dev/samtools/ChangeLog
   A /branches/dev/samtools/ChangeLog.old (from /branches/dev/samtools/ChangeLog:6)

Rename ChangeLog to ChangeLog.old. This old ChangeLog is generated from
the log of my personal SVN repository.

------------------------------------------------------------------------
r17 | lh3lh3 | 2008-11-27 09:22:55 +0000 (Thu, 27 Nov 2008) | 6 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/bgzf.c

 * samtools-0.1.0-44
 * declare fseeko and ftello as some Linux may not do this by default and
   missing these declarations will make bgzf buggy
 * get rid of some harmless warings
 * use BGZF by default, now

------------------------------------------------------------------------
r16 | lh3lh3 | 2008-11-26 21:19:11 +0000 (Wed, 26 Nov 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/razf.c

 * samtools-0.1.0-43
 * fixed a bug in razf_read()
 * give more warnings when the file is truncated (or due to bugs in I/O library)

------------------------------------------------------------------------
r15 | lh3lh3 | 2008-11-26 20:41:39 +0000 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bgzf.c

fixed a bug in bgzf.c at the end of the file

------------------------------------------------------------------------
r14 | lh3lh3 | 2008-11-26 17:05:18 +0000 (Wed, 26 Nov 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-42
 * a lot happened to RAZF, although samtools itself is untouched. Better
   also update the version number anyway to avoid confusion

------------------------------------------------------------------------
r13 | lh3lh3 | 2008-11-26 17:03:48 +0000 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/razf.c

a change from Jue, but I think it should not matter

------------------------------------------------------------------------
r12 | lh3lh3 | 2008-11-26 16:48:14 +0000 (Wed, 26 Nov 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/razf.c

fixed a potential bug in razf. However, it seems still buggy, just
rarely happens, very rarely.

------------------------------------------------------------------------
r11 | lh3lh3 | 2008-11-26 14:02:56 +0000 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/razf.c

fixed a bug in razf, with the help of Jue

------------------------------------------------------------------------
r10 | lh3lh3 | 2008-11-26 11:55:32 +0000 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bam_index.c

remove a comment

------------------------------------------------------------------------
r9 | lh3lh3 | 2008-11-26 11:37:05 +0000 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/razf.c
   M /branches/dev/samtools/razf.h

 * Jue has updated razf to realize Bob's scheme

------------------------------------------------------------------------
r7 | lh3lh3 | 2008-11-25 20:37:37 +0000 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/samtools.1

the manual page

------------------------------------------------------------------------
r6 | lh3lh3 | 2008-11-25 20:37:16 +0000 (Tue, 25 Nov 2008) | 3 lines
Changed paths:
   A /branches/dev/samtools/ChangeLog
   A /branches/dev/samtools/Makefile
   A /branches/dev/samtools/bam.c
   A /branches/dev/samtools/bam.h
   A /branches/dev/samtools/bam_aux.c
   A /branches/dev/samtools/bam_endian.h
   A /branches/dev/samtools/bam_import.c
   A /branches/dev/samtools/bam_index.c
   A /branches/dev/samtools/bam_lpileup.c
   A /branches/dev/samtools/bam_pileup.c
   A /branches/dev/samtools/bam_sort.c
   A /branches/dev/samtools/bam_tview.c
   A /branches/dev/samtools/bamtk.c
   A /branches/dev/samtools/bgzf.c
   A /branches/dev/samtools/bgzf.h
   A /branches/dev/samtools/bgzip.c
   A /branches/dev/samtools/faidx.c
   A /branches/dev/samtools/faidx.h
   A /branches/dev/samtools/khash.h
   A /branches/dev/samtools/ksort.h
   A /branches/dev/samtools/kstream.h
   A /branches/dev/samtools/misc
   A /branches/dev/samtools/misc/Makefile
   A /branches/dev/samtools/misc/all2sam.pl
   A /branches/dev/samtools/misc/maq2sam.c
   A /branches/dev/samtools/razf.c
   A /branches/dev/samtools/razf.h
   A /branches/dev/samtools/razip.c
   A /branches/dev/samtools/zutil.h

The initial version of samtools, replicated from my local SVN repository.
The current version is: 0.1.0-42. All future development will happen here.

------------------------------------------------------------------------
r5 | lh3lh3 | 2008-11-25 20:30:49 +0000 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools

samtools (C version)

------------------------------------------------------------------------
------------------------------------------------------------------------
r703 | lh3 | 2008-11-25 20:20:02 +0000 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/samtools.1

rename bamtk to samtools

------------------------------------------------------------------------
r702 | lh3 | 2008-11-25 20:15:09 +0000 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   D /branches/prog/bam/bamtk.1
   A /branches/prog/bam/samtools.1 (from /branches/prog/bam/bamtk.1:679)

rename bamtk.1 to samtools.1

------------------------------------------------------------------------
r701 | lh3 | 2008-11-25 13:29:10 +0000 (Tue, 25 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/misc/Makefile

 * samtools-0.1.0-41
 * small (but a bit dangerous) changes to meet the latest specification

------------------------------------------------------------------------
r700 | lh3 | 2008-11-25 13:15:11 +0000 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   A /branches/prog/bam/misc/all2sam.pl (from /branches/prog/bam/misc/all2tam.pl:649)
   D /branches/prog/bam/misc/all2tam.pl
   A /branches/prog/bam/misc/maq2sam.c (from /branches/prog/bam/misc/maq2tam.c:699)
   D /branches/prog/bam/misc/maq2tam.c

rename tam to sam

------------------------------------------------------------------------
r699 | lh3 | 2008-11-25 13:14:49 +0000 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/misc/maq2tam.c

change for the new specification

------------------------------------------------------------------------
r698 | lh3 | 2008-11-24 13:15:20 +0000 (Mon, 24 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/razf.c
   M /branches/prog/bam/razf.h

 * add a fake BGZF mode to razf. It is fake in that it loads razf index into
   memory but gives BGZF like virtual offset

------------------------------------------------------------------------
r697 | lh3 | 2008-11-24 09:53:44 +0000 (Mon, 24 Nov 2008) | 2 lines
Changed paths:
   A /branches/prog/bam/ChangeLog

change log

------------------------------------------------------------------------
r696 | lh3 | 2008-11-24 09:53:23 +0000 (Mon, 24 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bgzf.c

updated bgzf, on behalf of Bob

------------------------------------------------------------------------
r695 | lh3 | 2008-11-23 11:40:31 +0000 (Sun, 23 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/razf.c

fixed a bug in razf

------------------------------------------------------------------------
r694 | lh3 | 2008-11-22 16:23:52 +0000 (Sat, 22 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_lpileup.c
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bam-0.1.0-40
 * fixed two small memory leaks
 * fixed a memory problem when seek outside the length of the sequence

------------------------------------------------------------------------
r693 | lh3 | 2008-11-22 16:10:04 +0000 (Sat, 22 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c

 * bam-0.1.0-39
 * fixed an uninitialized warning. This does not matter in fact

------------------------------------------------------------------------
r692 | lh3 | 2008-11-22 15:44:05 +0000 (Sat, 22 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/razf.c
   M /branches/prog/bam/razf.h

Jue's new razf

------------------------------------------------------------------------
r691 | lh3 | 2008-11-21 21:30:39 +0000 (Fri, 21 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/bgzip.c

 * bam-0.1.0-38
 * get rid of some warings in bgzip.c
 * potentially improve performance in indexing for BGZF

------------------------------------------------------------------------
r690 | lh3 | 2008-11-21 21:15:51 +0000 (Fri, 21 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bgzf.c

I think I have fixed the bug in bgzf

------------------------------------------------------------------------
r689 | lh3 | 2008-11-21 20:48:56 +0000 (Fri, 21 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bgzf.c

bug fix by Bob

------------------------------------------------------------------------
r688 | lh3 | 2008-11-21 20:37:27 +0000 (Fri, 21 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c

fixed a bug due to the name change in _IOLIB

------------------------------------------------------------------------
r687 | lh3 | 2008-11-21 14:42:56 +0000 (Fri, 21 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bgzf.c

fix small things

------------------------------------------------------------------------
r686 | lh3 | 2008-11-21 14:37:59 +0000 (Fri, 21 Nov 2008) | 2 lines
Changed paths:
   A /branches/prog/bam/bgzf.c
   A /branches/prog/bam/bgzf.h
   A /branches/prog/bam/bgzip.c

Bob's BGZF format, although currently buggy

------------------------------------------------------------------------
r685 | lh3 | 2008-11-21 09:48:20 +0000 (Fri, 21 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bam-0.1.0-37
 * improve interface a little bit

------------------------------------------------------------------------
r684 | lh3 | 2008-11-21 09:30:18 +0000 (Fri, 21 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bam-0.1.0-36
 * improve the interface of tview, a little bit

------------------------------------------------------------------------
r683 | lh3 | 2008-11-20 22:33:54 +0000 (Thu, 20 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam_tview.c

a little better viewer

------------------------------------------------------------------------
r682 | lh3 | 2008-11-20 22:27:01 +0000 (Thu, 20 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-35
 * better viewer

------------------------------------------------------------------------
r681 | lh3 | 2008-11-20 20:51:16 +0000 (Thu, 20 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-34
 * tview is now a component of bamtk

------------------------------------------------------------------------
r680 | lh3 | 2008-11-20 19:17:30 +0000 (Thu, 20 Nov 2008) | 2 lines
Changed paths:
   A /branches/prog/bam/bam_tview.c

text alignment viewer

------------------------------------------------------------------------
r679 | lh3 | 2008-11-20 19:17:15 +0000 (Thu, 20 Nov 2008) | 5 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_lpileup.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.1
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/faidx.c

 * bamtk-0.1.0-33
 * added routines to reset pileup bufferes
 * fixed a bug in faidx
 * add text alignment viewer

------------------------------------------------------------------------
r678 | lh3 | 2008-11-20 11:05:02 +0000 (Thu, 20 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/Makefile
   A /branches/prog/bam/bam_lpileup.c (from /branches/prog/bam/bam_tview.c:668)
   D /branches/prog/bam/bam_tview.c

rename tview as lpileup

------------------------------------------------------------------------
r677 | lh3 | 2008-11-20 10:08:52 +0000 (Thu, 20 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/razf.c

fixed a bug in razf

------------------------------------------------------------------------
r676 | lh3 | 2008-11-19 22:52:20 +0000 (Wed, 19 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/faidx.h

add documentations

------------------------------------------------------------------------
r674 | lh3 | 2008-11-19 21:39:17 +0000 (Wed, 19 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bamtk.1
   M /branches/prog/bam/faidx.h

update documentation

------------------------------------------------------------------------
r673 | lh3 | 2008-11-19 21:19:03 +0000 (Wed, 19 Nov 2008) | 2 lines
Changed paths:
   A /branches/prog/bam/bamtk.1

add manual page

------------------------------------------------------------------------
r672 | lh3 | 2008-11-19 16:40:49 +0000 (Wed, 19 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/faidx.c

 * bamtk-0.1.0-32
 * make faidx more error resistant

------------------------------------------------------------------------
r671 | lh3 | 2008-11-19 16:09:55 +0000 (Wed, 19 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/faidx.h

add index

------------------------------------------------------------------------
r670 | lh3 | 2008-11-19 16:02:39 +0000 (Wed, 19 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/faidx.c

 * bamtk-0.1.0-31
 * show reference sequence in pileup -v (not in the default pileup)

------------------------------------------------------------------------
r669 | lh3 | 2008-11-19 14:51:17 +0000 (Wed, 19 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/faidx.c

 * bamtk-0.1.0-30
 * put faidx in bamtk and remove faidx_main.c

------------------------------------------------------------------------
r668 | lh3 | 2008-11-19 14:15:05 +0000 (Wed, 19 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c
   A /branches/prog/bam/faidx.c
   A /branches/prog/bam/faidx.h
   M /branches/prog/bam/razf.c

 * bamtk-0.1.0-29
 * fixed a bug in tview.c
 * prepare to add faidx

------------------------------------------------------------------------
r667 | lh3 | 2008-11-19 10:20:45 +0000 (Wed, 19 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/razf.c
   M /branches/prog/bam/razf.h

gzip-compatible razf

------------------------------------------------------------------------
r664 | lh3 | 2008-11-18 12:50:23 +0000 (Tue, 18 Nov 2008) | 5 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-28
 * fetch: fixed a bug at an array boundary
 * fetch: fixed a bug when the whole chromosome is retrieved
 * add linear index

------------------------------------------------------------------------
r663 | lh3 | 2008-11-17 21:29:22 +0000 (Mon, 17 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-27
 * put l_qseq into core and move l_aux to bam1_t

------------------------------------------------------------------------
r662 | lh3 | 2008-11-17 20:55:16 +0000 (Mon, 17 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-26
 * save seq and qual separately

------------------------------------------------------------------------
r661 | lh3 | 2008-11-17 13:09:37 +0000 (Mon, 17 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h

little

------------------------------------------------------------------------
r660 | lh3 | 2008-11-17 13:06:14 +0000 (Mon, 17 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h

more documentations

------------------------------------------------------------------------
r659 | lh3 | 2008-11-17 12:55:08 +0000 (Mon, 17 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-25
 * make tview work for TAM

------------------------------------------------------------------------
r658 | lh3 | 2008-11-17 12:50:21 +0000 (Mon, 17 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-24
 * make tview as an independent module

------------------------------------------------------------------------
r657 | lh3 | 2008-11-17 11:26:06 +0000 (Mon, 17 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_pileup.c

change little

------------------------------------------------------------------------
r656 | lh3 | 2008-11-16 21:33:19 +0000 (Sun, 16 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-23
 * also add tview for TAM

------------------------------------------------------------------------
r655 | lh3 | 2008-11-16 21:29:46 +0000 (Sun, 16 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-22
 * make tview more efficient for deep depth

------------------------------------------------------------------------
r654 | lh3 | 2008-11-16 20:52:19 +0000 (Sun, 16 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_pileup.c
   A /branches/prog/bam/bam_tview.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-21
 * fixed bug in the TAM parser: lowercase not recognized
 * unfinished function to leveled pileup (tview)

------------------------------------------------------------------------
r653 | lh3 | 2008-11-15 12:58:36 +0000 (Sat, 15 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-20
 * pileup now display deleted bases as '*'

------------------------------------------------------------------------
r652 | lh3 | 2008-11-15 09:58:39 +0000 (Sat, 15 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-19
 * fixed a bug in fetch()
 * reduce memory in indexing

------------------------------------------------------------------------
r651 | lh3 | 2008-11-14 21:56:05 +0000 (Fri, 14 Nov 2008) | 5 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-18
 * important changes are made to index: the index size is increased, but
   now we have no limit on file sizes and the new method potentially
   works with BGZF, Bob's new compression format.

------------------------------------------------------------------------
r650 | lh3 | 2008-11-14 16:03:22 +0000 (Fri, 14 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-17
 * more comments in bam.h
 * fixed a bug in bam_index.c

------------------------------------------------------------------------
r649 | lh3 | 2008-11-13 16:04:18 +0000 (Thu, 13 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bam_sort.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-16
 * use macros to retrieve pointers from bam1_t and thus reduce the size
   of bam1_t struct.

------------------------------------------------------------------------
r648 | lh3 | 2008-11-13 13:21:39 +0000 (Thu, 13 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_sort.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-15
 * make more things work over pipe

------------------------------------------------------------------------
r647 | lh3 | 2008-11-13 12:49:28 +0000 (Thu, 13 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/misc/maq2tam.c

fixed a bug in maq2tam

------------------------------------------------------------------------
r646 | lh3 | 2008-11-13 11:46:59 +0000 (Thu, 13 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/Makefile
   M /branches/prog/bam/misc/Makefile
   M /branches/prog/bam/misc/maq2tam.c

 * bug fix in maq2tam.c
 * improve Makefile

------------------------------------------------------------------------
r645 | lh3 | 2008-11-13 11:39:46 +0000 (Thu, 13 Nov 2008) | 3 lines
Changed paths:
   A /branches/prog/bam/misc/Makefile
   M /branches/prog/bam/misc/maq2tam.c

 * corrected maq2tam
 * add Makefile

------------------------------------------------------------------------
r644 | lh3 | 2008-11-13 11:25:45 +0000 (Thu, 13 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/razf.c

fixed the bug in buffered write (on behalf of Jue)

------------------------------------------------------------------------
r643 | lh3 | 2008-11-13 10:53:42 +0000 (Thu, 13 Nov 2008) | 2 lines
Changed paths:
   D /branches/prog/bam/all2tam.pl
   A /branches/prog/bam/misc/all2tam.pl (from /branches/prog/bam/all2tam.pl:642)

move to misc

------------------------------------------------------------------------
r642 | lh3 | 2008-11-13 10:53:23 +0000 (Thu, 13 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/all2tam.pl

change tag

------------------------------------------------------------------------
r641 | lh3 | 2008-11-13 10:53:12 +0000 (Thu, 13 Nov 2008) | 2 lines
Changed paths:
   D /branches/prog/bam/utils

has been renamed

------------------------------------------------------------------------
r640 | lh3 | 2008-11-13 10:52:50 +0000 (Thu, 13 Nov 2008) | 2 lines
Changed paths:
   A /branches/prog/bam/misc (from /branches/prog/bam/utils:639)

rename

------------------------------------------------------------------------
r639 | lh3 | 2008-11-13 10:52:35 +0000 (Thu, 13 Nov 2008) | 2 lines
Changed paths:
   A /branches/prog/bam/utils
   A /branches/prog/bam/utils/maq2tam.c

utilities (converters and so on)

------------------------------------------------------------------------
r638 | lh3 | 2008-11-12 22:24:22 +0000 (Wed, 12 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-14
 * copy the text header to BAM
 * add BAM1 header flag

------------------------------------------------------------------------
r637 | lh3 | 2008-11-12 14:56:08 +0000 (Wed, 12 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/razf.c

 * bamtk-0.1.0-13
 * fixed a bug in razf
 * improved and fixed potential bugs in index

------------------------------------------------------------------------
r636 | lh3 | 2008-11-12 11:57:13 +0000 (Wed, 12 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

update documentation in the HeaderDOC format

------------------------------------------------------------------------
r635 | lh3 | 2008-11-12 10:08:38 +0000 (Wed, 12 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-12
 * more documentations
 * rename baf1_core_t as bam1_core_t

------------------------------------------------------------------------
r634 | lh3 | 2008-11-11 23:00:35 +0000 (Tue, 11 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_pileup.c

documentation

------------------------------------------------------------------------
r633 | lh3 | 2008-11-11 21:23:49 +0000 (Tue, 11 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-11
 * give up regional pileup. We can now use pipe to mimic that.
 * for index file, change suffix .idx to .bmi

------------------------------------------------------------------------
r632 | lh3 | 2008-11-11 21:00:11 +0000 (Tue, 11 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/razf.c

 * bamtk-0.1.0-10
 * make pileup work on TAM

------------------------------------------------------------------------
r631 | lh3 | 2008-11-11 09:20:29 +0000 (Tue, 11 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/razf.c
   M /branches/prog/bam/razf.h
   M /branches/prog/bam/razip.c

 * bamtk-0.1.0-9
 * razf now supports streaming
 * prepare to improve pileup (have not yet)

------------------------------------------------------------------------
r630 | lh3 | 2008-11-10 18:34:40 +0000 (Mon, 10 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-8
 * improve the interface of TAM parser

------------------------------------------------------------------------
r629 | lh3 | 2008-11-10 13:06:13 +0000 (Mon, 10 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-7
 * almost nothing

------------------------------------------------------------------------
r628 | lh3 | 2008-11-10 12:56:36 +0000 (Mon, 10 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-6
 * fixed a bug in bam_pileup.c

------------------------------------------------------------------------
r627 | lh3 | 2008-11-10 11:32:46 +0000 (Mon, 10 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bamtk.c
   M /branches/prog/bam/razf.c

 * bamtk-0.1.0-5
 * fixed a bug in razf.c, caused by my modifications
 * improve the interface of pileup. Now it will be slower but more flexible

------------------------------------------------------------------------
r626 | lh3 | 2008-11-09 20:51:04 +0000 (Sun, 09 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-4
 * view: dumping binary output

------------------------------------------------------------------------
r625 | lh3 | 2008-11-09 20:31:54 +0000 (Sun, 09 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bam_pileup.c
   M /branches/prog/bam/bam_sort.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-3
 * rename functions

------------------------------------------------------------------------
r624 | lh3 | 2008-11-09 15:07:32 +0000 (Sun, 09 Nov 2008) | 2 lines
Changed paths:
   M /branches/prog/bam/bam.h

add comments

------------------------------------------------------------------------
r623 | lh3 | 2008-11-08 22:32:49 +0000 (Sat, 08 Nov 2008) | 4 lines
Changed paths:
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-2
 * improve indexing for a mixture of long and short reads, although currently
   I do not know whether it really works...

------------------------------------------------------------------------
r622 | lh3 | 2008-11-08 22:13:58 +0000 (Sat, 08 Nov 2008) | 3 lines
Changed paths:
   M /branches/prog/bam/bam_index.c
   M /branches/prog/bam/bamtk.c

 * bamtk-0.1.0-1
 * prepare for improving indexing algorithm

------------------------------------------------------------------------
r621 | lh3 | 2008-11-08 20:28:09 +0000 (Sat, 08 Nov 2008) | 4 lines
Changed paths:
   A /branches/prog/bam/all2tam.pl
   M /branches/prog/bam/bam.c
   M /branches/prog/bam/bam.h
   M /branches/prog/bam/bam_import.c
   M /branches/prog/bam/bamtk.c
   D /branches/prog/bam/tam_utils.pl

 * bamtk-0.1.0
 * smarter integers
 * rename tam_utils.pl to all2tam.pl

------------------------------------------------------------------------
r620 | lh3 | 2008-11-08 17:17:22 +0000 (Sat, 08 Nov 2008) | 2 lines
Changed paths:
   A /branches/prog/bam
   A /branches/prog/bam/Makefile
   A /branches/prog/bam/bam.c
   A /branches/prog/bam/bam.h
   A /branches/prog/bam/bam_endian.h
   A /branches/prog/bam/bam_import.c
   A /branches/prog/bam/bam_index.c
   A /branches/prog/bam/bam_pileup.c
   A /branches/prog/bam/bam_sort.c
   A /branches/prog/bam/bamtk.c
   A /branches/prog/bam/khash.h
   A /branches/prog/bam/ksort.h
   A /branches/prog/bam/kstream.h
   A /branches/prog/bam/razf.c
   A /branches/prog/bam/razf.h
   A /branches/prog/bam/razip.c
   A /branches/prog/bam/tam_utils.pl
   A /branches/prog/bam/zutil.h

The Binary Alignment/Mapping format.

------------------------------------------------------------------------
